ошибка установки драйвера Linux – "/lib/modules/2.6.18-194.el5/build: Нет такого файла или каталога. Стоп."

Я получил ошибку

/lib/modules/2.6.18-194.el5/build: No such file or directory. Stop. 

при установке драйвера moxa следующий снимок экрана оболочки.

 [root@lnx149-252 driver]# pwd /root/moxa/mxu11x0/driver [root@lnx149-252 driver]# ls Makefile mxu1110_fw.h mxu1130_fw.h mxu1131_fw.h mxu1150_fw.h mxu1151_fw.h mxu11x0.c mxu11x0.h usb-serial.h [root@lnx149-252 driver]# make clean rm -f *.o rm -f .*.o.cmd rm -f *.symvers rm -rf ./.tmp_versions rm -f mxu11x0.mod* rm -f .mxu11x0* rm -f mxu11x0.ko [root@lnx149-252 driver]# make install ******************************************************************* # MOXA UPort 1110/1130/1150/1150I USB to Serial Hub Driver v1.2 # # for Linux Kernel 2.6.x # # # # release date : 03/23/2009 # ******************************************************************* make -C /lib/modules/2.6.18-194.el5/build SUBDIRS=/root/moxa/mxu11x0/driver modules make: *** /lib/modules/2.6.18-194.el5/build: No such file or directory. Stop. make: *** [module] Error 2 [root@lnx149-252 driver]# [root@lnx149-252 driver]# uname -a Linux lnx149-252 2.6.18-194.el5 #1 SMP Tue Mar 16 21:52:43 EDT 2010 i686 i686 i386 GNU/Linux [root@lnx149-252 driver]# uname -r 2.6.18-194.el5 [root@lnx149-252 driver]# 

Пожалуйста, помогите мне в разрешении.

  • Перекрестно скомпилируете зависимости пакета или просто выполните установку?
  • Неопределенная ссылочная ошибка для компонентов glip даже с включенным glib
  • pfSense: какой пакет я могу установить для команды `make`?
  • приложение требует, чтобы 32-битные библиотеки были установлены на моей 64-битной системе - возникли проблемы с их установкой
  • ncurses.h не найден, хотя он находится на пути поиска
  • Построить Хром из источника
  • % post section rpmbuild не интерактивный
  • Что означает метки =>, ==>, ===>, ====>, -, - и определенное количество пробелов после них в выводе команды make install?
  • One Solution collect form web for “ошибка установки драйвера Linux – "/lib/modules/2.6.18-194.el5/build: Нет такого файла или каталога. Стоп."”

    Поскольку вы создаете этот настраиваемый драйвер, у вас будет установлен соответствующий kernel-devel-2.6.18-194.el5 rpm. Просто подумайте об установке.

    Возможно, вам захочется проверить документы (если они есть) для этого драйвера, чтобы узнать, существуют ли какие-либо другие конкретные зависимости / требования к системе, в которой она должна быть построена.

    Interesting Posts

    Метод проверки, если диски в системе отформатированы

    bash: egrep & эхо-ошибка на линии

    Могу ли я сделать порт USB на моем компьютере Linux похожим на запоминающее устройство большой емкости?

    Как настроить NGINX как обратный прокси для разных номеров портов?

    Понимание того, что говорит ddrescue

    Возможно ли запустить nohup и все еще видеть подробный вывод на экране

    Смартфон, используемый в качестве USB-накопителя, правильно читается на компьютере XP VirtualBox, но Linux Mint показывает только корневые папки

    Установка GRUB-EFI не работает при установке Kali Linux на внешний жесткий диск

    ioctl: неверный аргумент для HDIO_GET_IDENTITY

    Могу ли я установить дистрибутив, загруженный с диска на тот же диск?

    Как я могу сделать общий каталог доступным для SFTP?

    Как использовать результат grep в командной строке?

    mint 17.2 не будет подключаться к самому сильному ssid, а вместо этого к определенному

    Как установить и запустить python и базу данных через busybox

    Как я могу подсчитать количество ядер процессора?

    Linux и Unix - лучшая ОС в мире.